@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';

$app-notification-width: 29rem;

.app-notifications {
  position: fixed;
  z-index: 10;
  bottom: 0.5rem;
  right: 0.5rem;

  @media screen and (max-width: $tablet) {
    bottom: 0;
    right: 0;
    width: 100%;
  }
}

.app-notification {
  position: relative;
  min-width: $app-notification-width;
  max-width: $app-notification-width;
  padding: 1rem;
  margin-top: 0.5rem;
  border: 2px solid white;
  border-radius: 4px;

  @media screen and (max-width: $tablet) {
    min-width: 100%;
    max-width: 100%;
  }

  // Adding slideFromRight animation on notification classe
  // The div come from the right and go back after a while
  // The animation lasts 5s and is runned only one time
  animation: slideFromRight 8s 1;

  @media screen and (max-width: $tablet) {
    animation: slideFromRightMobile 8s 1;
  }

  span,
  p,
  button {
    color: white;
  }

  div.app-notification-type {
    display: flex;
    margin-bottom: 0.75rem;

    img {
      width: 1.125rem;
      height: 1.125rem;
      margin-right: 0.5rem;
    }

    span {
      font-size: 1rem;
      font-weight: bold;
    }
  }

  p.app-notification-content {
    font-size: 0.875rem;
  }
}

.success {
  background-color: #3c8225;
}

.warning {
  background-color: #b9541d;
}

.error {
  background-color: #da322f;
}

.close-button {
  position: absolute;
  top: 0;
  right: 0;
  border: none;
  background-color: transparent;
  cursor: pointer;
}

// Animation
@keyframes slideFromRight {
  0% {
    transform: translateX($app-notification-width);
  }

  15%,
  85% {
    transform: translateX(0);
  }

  100% {
    transform: translateX($app-notification-width);
  }
}

@keyframes slideFromRightMobile {
  0% {
    transform: translateX(100%);
  }

  15%,
  85% {
    transform: translateX(0);
  }

  100% {
    transform: translateX(100%);
  }
}
